diff --git a/src/OS/unsupported/os.h-ULTRIX b/src/OS/unsupported/os.h-ULTRIX
index 08db5aec8..83b0fc4aa 100644
--- a/src/OS/unsupported/os.h-ULTRIX
+++ b/src/OS/unsupported/os.h-ULTRIX
@@ -1,4 +1,5 @@
 /* Exim: OS-specific C header file for Ultrix */
+/* SPDX-License-Identifier: GPL-2.0-or-later */
 
 /* Well, it *does* have statfs(), but its structure is called something
 different, all the members have different names, and the function returns
diff --git a/src/OS/unsupported/os.h-UNIX_SV b/src/OS/unsupported/os.h-UNIX_SV
index 4943a07de..275475322 100644
--- a/src/OS/unsupported/os.h-UNIX_SV
+++ b/src/OS/unsupported/os.h-UNIX_SV
@@ -1,4 +1,5 @@
 /* Exim: OS-specific C header file for SCO SVR4.2 (and maybe Unixware) */
+/* SPDX-License-Identifier: GPL-2.0-or-later */
 
 /**
 *** Note that for SCO 5 the configuration file is called SCO_SV,
diff --git a/src/OS/unsupported/os.h-USG b/src/OS/unsupported/os.h-USG
index e76922067..597c52f9d 100644
--- a/src/OS/unsupported/os.h-USG
+++ b/src/OS/unsupported/os.h-USG
@@ -1,4 +1,5 @@
 /* Exim: OS-specific C header file for Unixware 2.x */
+/* SPDX-License-Identifier: GPL-2.0-or-later */
 
 #define NO_SYSEXITS
 
diff --git a/src/OS/unsupported/os.h-Unixware7 b/src/OS/unsupported/os.h-Unixware7
index 4d3ed42f2..e8f8c3210 100644
--- a/src/OS/unsupported/os.h-Unixware7
+++ b/src/OS/unsupported/os.h-Unixware7
@@ -1,4 +1,5 @@
 /* Exim: OS-specific C header file for Unixware 7 */
+/* SPDX-License-Identifier: GPL-2.0-or-later */
 
 #define NO_SYSEXITS
 
diff --git a/src/OS/unsupported/os.h-cygwin b/src/OS/unsupported/os.h-cygwin
index 6ef59e0cc..7f81c074f 100644
--- a/src/OS/unsupported/os.h-cygwin
+++ b/src/OS/unsupported/os.h-cygwin
@@ -1,4 +1,5 @@
 /* Exim: OS-specific C header file for Cygwin */
+/* SPDX-License-Identifier: GPL-2.0-or-later */
 
 /* This code was supplied by Pierre A. Humblet <Pierre.Humblet@ieee.org>
    December 2002. Updated Jan 2015. */
diff --git a/src/OS/unsupported/os.h-mips b/src/OS/unsupported/os.h-mips
index 325e3a134..39e0019cb 100644
--- a/src/OS/unsupported/os.h-mips
+++ b/src/OS/unsupported/os.h-mips
@@ -1,4 +1,5 @@
 /* Exim: OS-specific C header file for RiscOS4bsd */
+/* SPDX-License-Identifier: GPL-2.0-or-later */
 
 #define LOAD_AVG_NEEDS_ROOT
 #define HAVE_DEV_KMEM
diff --git a/src/README b/src/README
index d9379f7f8..e335cc22e 100644
--- a/src/README
+++ b/src/README
@@ -2,6 +2,7 @@ THE EXIM MAIL TRANSFER AGENT VERSION 4
 --------------------------------------
 
 Copyright (c) 1995 - 2018 University of Cambridge.
+SPDX-License-Identifier: GPL-2.0-or-later
 See the file NOTICE for conditions of use and distribution.
 
 There is a book about Exim by Philip Hazel called "The Exim SMTP Mail Server",
diff --git a/src/exim_monitor/EDITME b/src/exim_monitor/EDITME
index a70b7cb61..1b6320c8f 100644
--- a/src/exim_monitor/EDITME
+++ b/src/exim_monitor/EDITME
@@ -2,6 +2,9 @@
 #                The Exim Monitor                #
 ##################################################
 
+# Copyright (c) The Exim Maintainers 2022
+# SPDX-License-Identifier: GPL-2.0-or-later
+
 # This is the template for the Exim monitor's main build-time configuration
 # file. It contains settings that are independent of any operating system. It
 # should be edited and then saved to a file called Local/eximon.conf before
diff --git a/src/exim_monitor/em_StripChart.c b/src/exim_monitor/em_StripChart.c
index 3eb98e4fb..a974790d3 100644
--- a/src/exim_monitor/em_StripChart.c
+++ b/src/exim_monitor/em_StripChart.c
@@ -1,4 +1,4 @@
-/* SPDX-License-Identifier: GPL-2.0-only */
+/* SPDX-License-Identifier: GPL-2.0-or-later */
 /***********************************************************
 Copyright 1987, 1988 by Digital Equipment Corporation, Maynard, Massachusetts,
 and the Massachusetts Institute of Technology, Cambridge, Massachusetts.
diff --git a/src/exim_monitor/em_TextPop.c b/src/exim_monitor/em_TextPop.c
index 0e87cb580..0360f852b 100644
--- a/src/exim_monitor/em_TextPop.c
+++ b/src/exim_monitor/em_TextPop.c
@@ -2,7 +2,7 @@
 Copyright (c) The Exim Maintainers 2022
 Copyright 1989 by the Massachusetts Institute of Technology,
 Cambridge, Massachusetts.
-SPDX-License-Identifier: GPL-2.0-only
+SPDX-License-Identifier: GPL-2.0-or-later
 
                         All Rights Reserved
 
diff --git a/src/exim_monitor/em_globals.c b/src/exim_monitor/em_globals.c
index 2943065b4..cf9b1075e 100644
--- a/src/exim_monitor/em_globals.c
+++ b/src/exim_monitor/em_globals.c
@@ -5,7 +5,7 @@
 /* Copyright (c) University of Cambridge 1995 - 2018 */
 /* Copyright (c) The Exim Maintainers 2021 */
 /* See the file NOTICE for conditions of use and distribution. */
-/* SPDX-License-Identifier: GPL-2.0-only */
+/* SPDX-License-Identifier: GPL-2.0-or-later */
 
 
 #include "em_hdr.h"
diff --git a/src/exim_monitor/em_hdr.h b/src/exim_monitor/em_hdr.h
index 76970c997..61f390d2c 100644
--- a/src/exim_monitor/em_hdr.h
+++ b/src/exim_monitor/em_hdr.h
@@ -5,7 +5,7 @@
 /* Copyright (c) University of Cambridge 1995 - 2009 */
 /* Copyright (c) The Exim Maintainers 2021 - 2022 */
 /* See the file NOTICE for conditions of use and distribution. */
-/* SPDX-License-Identifier: GPL-2.0-only */
+/* SPDX-License-Identifier: GPL-2.0-or-later */
 
 
 /* This is the general header file for all the modules that comprise
diff --git a/src/exim_monitor/em_init.c b/src/exim_monitor/em_init.c
index e1f53fbba..b9289715d 100644
--- a/src/exim_monitor/em_init.c
+++ b/src/exim_monitor/em_init.c
@@ -5,7 +5,7 @@
 /* Copyright (c) University of Cambridge 1995 - 2009 */
 /* Copyright (c) The Exim Maintainers 2020 - 2021 */
 /* See the file NOTICE for conditions of use and distribution. */
-/* SPDX-License-Identifier: GPL-2.0-only */
+/* SPDX-License-Identifier: GPL-2.0-or-later */
 
 /* This module contains code to initialize things from the
 environment and the arguments. */
diff --git a/src/exim_monitor/em_log.c b/src/exim_monitor/em_log.c
index d625056c5..55925d786 100644
--- a/src/exim_monitor/em_log.c
+++ b/src/exim_monitor/em_log.c
@@ -5,7 +5,7 @@
 /* Copyright (c) University of Cambridge 1995 - 2018 */
 /* Copyright (c) The Exim Maintainters 2021 - 2022 */
 /* See the file NOTICE for conditions of use and distribution. */
-/* SPDX-License-Identifier: GPL-2.0-only */
+/* SPDX-License-Identifier: GPL-2.0-or-later */
 
 /* This module contains code for scanning the main log,
 extracting information from it, and displaying a "tail". */
diff --git a/src/exim_monitor/em_main.c b/src/exim_monitor/em_main.c
index 919cde632..50b8cd8bd 100644
--- a/src/exim_monitor/em_main.c
+++ b/src/exim_monitor/em_main.c
@@ -5,7 +5,7 @@
 /* Copyright (c) University of Cambridge 1995 - 2018 */
 /* Copyright (c) The Exim Maintainers 2021 - 2022 */
 /* See the file NOTICE for conditions of use and distribution. */
-/* SPDX-License-Identifier: GPL-2.0-only */
+/* SPDX-License-Identifier: GPL-2.0-or-later */
 
 
 #include "em_hdr.h"
diff --git a/src/exim_monitor/em_menu.c b/src/exim_monitor/em_menu.c
index afcd31540..e4db84915 100644
--- a/src/exim_monitor/em_menu.c
+++ b/src/exim_monitor/em_menu.c
@@ -5,7 +5,7 @@
 /* Copyright (c) University of Cambridge 1995 - 2018 */
 /* Copyright (c) The Exim Maintainers 2021 */
 /* See the file NOTICE for conditions of use and distribution. */
-/* SPDX-License-Identifier: GPL-2.0-only */
+/* SPDX-License-Identifier: GPL-2.0-or-later */
 
 
 #include "em_hdr.h"
diff --git a/src/exim_monitor/em_queue.c b/src/exim_monitor/em_queue.c
index d9cfad38a..5eb44648a 100644
--- a/src/exim_monitor/em_queue.c
+++ b/src/exim_monitor/em_queue.c
@@ -5,7 +5,7 @@
 /* Copyright (c) University of Cambridge 1995 - 2018 */
 /* Copyright (c) The Exim Maintainers 2020 - 2022 */
 /* See the file NOTICE for conditions of use and distribution. */
-/* SPDX-License-Identifier: GPL-2.0-only */
+/* SPDX-License-Identifier: GPL-2.0-or-later */
 
 
 #include "em_hdr.h"
diff --git a/src/exim_monitor/em_strip.c b/src/exim_monitor/em_strip.c
index cfafe9257..21e5739db 100644
--- a/src/exim_monitor/em_strip.c
+++ b/src/exim_monitor/em_strip.c
@@ -4,7 +4,7 @@
 
 /* Copyright (c) University of Cambridge 1995 - 2009 */
 /* See the file NOTICE for conditions of use and distribution. */
-/* SPDX-License-Identifier: GPL-2.0-only */
+/* SPDX-License-Identifier: GPL-2.0-or-later */
 
 
 #include "em_hdr.h"
diff --git a/src/exim_monitor/em_text.c b/src/exim_monitor/em_text.c
index 1077353e0..4d03570fd 100644
--- a/src/exim_monitor/em_text.c
+++ b/src/exim_monitor/em_text.c
@@ -4,7 +4,7 @@
 
 /* Copyright (c) University of Cambridge 1995 - 2012 */
 /* See the file NOTICE for conditions of use and distribution. */
-/* SPDX-License-Identifier: GPL-2.0-only */
+/* SPDX-License-Identifier: GPL-2.0-or-later */
 
 
 #include "em_hdr.h"
diff --git a/src/exim_monitor/em_version.c b/src/exim_monitor/em_version.c
index c5d4d62d8..4c562925c 100644
--- a/src/exim_monitor/em_version.c
+++ b/src/exim_monitor/em_version.c
@@ -5,7 +5,7 @@
 /* Copyright (c) University of Cambridge 1995 - 2018 */
 /* Copyright (c) The Exim Maintainers 2020 - 2021 */
 /* See the file NOTICE for conditions of use and distribution. */
-/* SPDX-License-Identifier: GPL-2.0-only */
+/* SPDX-License-Identifier: GPL-2.0-or-later */
 
 #define EM_VERSION_C
 
diff --git a/src/exim_monitor/em_xs.c b/src/exim_monitor/em_xs.c
index dd19c7f43..ac36b8f58 100644
--- a/src/exim_monitor/em_xs.c
+++ b/src/exim_monitor/em_xs.c
@@ -4,7 +4,7 @@
 
 /* Copyright (c) University of Cambridge, 1995 - 2016 */
 /* See the file NOTICE for conditions of use and distribution. */
-/* SPDX-License-Identifier: GPL-2.0-only */
+/* SPDX-License-Identifier: GPL-2.0-or-later */
 
 /* This file contains a number of subroutines that are in effect
 just alternative packaging for calls to various X functions that
diff --git a/src/scripts/Configure-Makefile b/src/scripts/Configure-Makefile
index ed77b6a8f..dc5015f6f 100755
--- a/src/scripts/Configure-Makefile
+++ b/src/scripts/Configure-Makefile
@@ -1,13 +1,15 @@
 #! /bin/sh
-LC_ALL=C
-export LC_ALL
-
 # Shell script to build Makefile in a build directory. It must be called
 # from inside the directory. It does its own checking of when to rebuild; it
 # just got too horrendous to get it right in "make", because of the optionally
 # existing configuration files.
 #
 # Copyright (c) The Exim Maintainers 1995 - 2021
+# SPDX-License-Identifier: GPL-2.0-or-later
+
+
+LC_ALL=C
+export LC_ALL
 
 
 # First off, get the OS type, and check that there is a make file for it.
diff --git a/src/scripts/Configure-config.h b/src/scripts/Configure-config.h
index c750f64f1..6744755f7 100755
--- a/src/scripts/Configure-config.h
+++ b/src/scripts/Configure-config.h
@@ -1,5 +1,6 @@
 #! /bin/sh
-# SPDX-License-Identifier: GPL-2.0-only
+# Copyright (c) The Exim Maintainters 2022
+# SPDX-License-Identifier: GPL-2.0-or-later
 
 # Build the config.h file, using the buildconfig program, first ensuring that
 # it exists.
diff --git a/src/scripts/Configure-eximon b/src/scripts/Configure-eximon
index 0aca3b338..00076154d 100755
--- a/src/scripts/Configure-eximon
+++ b/src/scripts/Configure-eximon
@@ -1,5 +1,8 @@
 #! /bin/sh
 
+# Copyright (c) The Exim Maintainters 2022
+# SPDX-License-Identifier: GPL-2.0-or-later
+
 # Shell script to build the configurable part of the Exim monitor's start-up
 # script. This is built from various configuration files. The final part is
 # added in the Makefile, using various macros that are available at that stage.
diff --git a/src/scripts/Configure-os.c b/src/scripts/Configure-os.c
index ab40ad183..7e9f14421 100755
--- a/src/scripts/Configure-os.c
+++ b/src/scripts/Configure-os.c
@@ -1,5 +1,7 @@
 #! /bin/sh
-# SPDX-License-Identifier: GPL-2.0-only
+# Copyright (c) The Exim Maintainters 2022
+# SPDX-License-Identifier: GPL-2.0-or-later
+
 
 # Shell script to build os.c. There doesn't have to be an OS-specific os.c
 # file, but if there is, it gets copied at the start of os.c. The basic src
diff --git a/src/scripts/Configure-os.h b/src/scripts/Configure-os.h
index f95a61a5d..dca0b9a3f 100755
--- a/src/scripts/Configure-os.h
+++ b/src/scripts/Configure-os.h
@@ -1,5 +1,7 @@
 #! /bin/sh
-# SPDX-License-Identifier: GPL-2.0-only
+# Copyright (c) The Exim Maintainters 2022
+# SPDX-License-Identifier: GPL-2.0-or-later
+
 
 # Shell script to create a link to the appropriate OS-specific header file.
 
diff --git a/src/scripts/MakeLinks b/src/scripts/MakeLinks
index 471b3a369..6e0b65f5d 100755
--- a/src/scripts/MakeLinks
+++ b/src/scripts/MakeLinks
@@ -4,6 +4,7 @@
 # specific build directory. It should be run from within that directory.
 #
 # Copyright (c) The Exim Maintainers 1995 - 2022
+# SPDX-License-Identifier: GPL-2.0-or-later
 
 test ! -d ../src && \
   echo "*** $0 should be run in a system-specific subdirectory." && \
diff --git a/src/scripts/arch-type b/src/scripts/arch-type
index f5fe8ebd3..0218c0233 100755
--- a/src/scripts/arch-type
+++ b/src/scripts/arch-type
@@ -1,7 +1,9 @@
 #! /bin/sh
-
 # Shell script to determine the architecture type.
 
+# Copyright (c) The Exim Maintainters 2022
+# SPDX-License-Identifier: GPL-2.0-or-later
+
 # If EXIM_ARCHTYPE is set, use it. This allows a manual override.
 
 case "$EXIM_ARCHTYPE" in ?*) arch="$EXIM_ARCHTYPE";; esac
diff --git a/src/scripts/exim_install b/src/scripts/exim_install
index 1e8805024..827841ffc 100755
--- a/src/scripts/exim_install
+++ b/src/scripts/exim_install
@@ -1,5 +1,8 @@
 #! /bin/sh
 
+# Copyright (c) The Exim Maintainters 2022
+# SPDX-License-Identifier: GPL-2.0-or-later
+
 # Script to install Exim binaries in BIN_DIRECTORY, which is defined in
 # the local Makefile. It expects to be run in a build directory. It needs
 # to be run as root in order to make exim setuid to root. If exim runs setuid
diff --git a/src/scripts/lookups-Makefile b/src/scripts/lookups-Makefile
index ed8b0cb5c..8dcac585b 100755
--- a/src/scripts/lookups-Makefile
+++ b/src/scripts/lookups-Makefile
@@ -1,6 +1,7 @@
 #! /bin/sh
 
 # Copyright (c) The Exim Maintainers 1995 - 2021
+# SPDX-License-Identifier: GPL-2.0-or-later
 
 # We turn the configure-built build-$foo/lookups/Makefile.predynamic into Makefile
 
diff --git a/src/scripts/newer b/src/scripts/newer
index 24c09e8f0..3bd65fb41 100755
--- a/src/scripts/newer
+++ b/src/scripts/newer
@@ -5,6 +5,9 @@
 # if the second does not exist, the answer is "yes";
 # otherwise their ages are compared using "find".
 
+# Copyright (c) The Exim Maintainters 2022
+# SPDX-License-Identifier: GPL-2.0-or-later
+
 if [ $# -ne 2 ]; then
   echo "*** Two file names needed for 'newer' ***"
   exit 2;
diff --git a/src/scripts/os-type b/src/scripts/os-type
index a188c4a56..1fcd37bc3 100755
--- a/src/scripts/os-type
+++ b/src/scripts/os-type
@@ -1,5 +1,8 @@
 #! /bin/sh
 
+# Copyright (c) The Exim Maintainters 2022
+# SPDX-License-Identifier: GPL-2.0-or-later
+
 # Shell script to determine the operating system type. Some of the heuristics
 # herein have accumulated over the years and may not strictly be needed now,
 # but they are left in under the principle of "If it ain't broke, don't fix
diff --git a/src/scripts/reversion b/src/scripts/reversion
index b932224f5..6fd0782a4 100755
--- a/src/scripts/reversion
+++ b/src/scripts/reversion
@@ -1,5 +1,6 @@
 #!/bin/sh
 # Copyright (c) The Exim Maintainers 1995 - 2021
+# SPDX-License-Identifier: GPL-2.0-or-later
 
 set -e
 LC_ALL=C
diff --git a/src/scripts/source_checks b/src/scripts/source_checks
index 918a6f8eb..8620b27f5 100644
--- a/src/scripts/source_checks
+++ b/src/scripts/source_checks
@@ -1,4 +1,6 @@
 #!/bin/sh
+# Copyright (c) The Exim Maintainters 2022
+# SPDX-License-Identifier: GPL-2.0-or-later
 
 cd src;
 
diff --git a/src/src/EDITME b/src/src/EDITME
index 28d3d538e..625df18f5 100644
--- a/src/src/EDITME
+++ b/src/src/EDITME
@@ -1,6 +1,8 @@
 ##################################################
 #          The Exim mail transport agent         #
 ##################################################
+# Copyright (c) The Exim Maintainers 2022
+# SPDX-License-Identifier: GPL-2.0-or-later
 
 # This is the template for Exim's main build-time configuration file. It
 # contains settings that are independent of any operating system. These are
diff --git a/src/src/acl.c b/src/src/acl.c
index 92af9991f..143890668 100644
--- a/src/src/acl.c
+++ b/src/src/acl.c
@@ -5,7 +5,7 @@
 /* Copyright (c) The Exim Maintainers 2020 - 2022 */
 /* Copyright (c) University of Cambridge 1995 - 2018 */
 /* See the file NOTICE for conditions of use and distribution. */
-/* SPDX-License-Identifier: GPL-2.0-only */
+/* SPDX-License-Identifier: GPL-2.0-or-later */
 
 /* Code for handling Access Control Lists (ACLs) */
 
diff --git a/src/src/arc.c b/src/src/arc.c
index e3a2b3dad..30a66320e 100644
--- a/src/src/arc.c
+++ b/src/src/arc.c
@@ -5,7 +5,7 @@
    Copyright (c) Jeremy Harris 2018 - 2020
    Copyright (c) The Exim Maintainers 2021 - 2022
    License: GPL
-   SPDX-License-Identifier: GPL-2.0-only
+   SPDX-License-Identifier: GPL-2.0-or-later
 */
 
 #include "exim.h"
diff --git a/src/src/auths/auth-spa.c b/src/src/auths/auth-spa.c
index 32276c3f3..bcf88c84d 100644
--- a/src/src/auths/auth-spa.c
+++ b/src/src/auths/auth-spa.c
@@ -10,7 +10,7 @@
  * Samba project (by Andrew Tridgell, Jeremy Allison, and others).
  *
  * Copyright (c) The Exim Maintainers 2021
- * SPDX-License-Identifier: GPL-2.0-only
+ * SPDX-License-Identifier: GPL-2.0-or-later
 
  * Tom Kistner provided additional code, adding spa_build_auth_challenge() to
  * support server authentication mode.
diff --git a/src/src/auths/auth-spa.h b/src/src/auths/auth-spa.h
index df250d7a6..db93891ab 100644
--- a/src/src/auths/auth-spa.h
+++ b/src/src/auths/auth-spa.h
@@ -9,7 +9,7 @@
  * All the code used here was torn by Marc Prud'hommeaux out of the
  * Samba project (by Andrew Tridgell, Jeremy Allison, and others).
  */
-/* SPDX-License-Identifier: GPL-2.0-only */
+/* SPDX-License-Identifier: GPL-2.0-or-later */
 
 /* December 2004: The spa_base64_to_bits() function has no length checking in
 it. I have added a check. PH */
diff --git a/src/src/auths/call_pam.c b/src/src/auths/call_pam.c
index 483b083be..3ff15711d 100644
--- a/src/src/auths/call_pam.c
+++ b/src/src/auths/call_pam.c
@@ -5,7 +5,7 @@
 /* Copyright (c) University of Cambridge 1995 - 2018 */
 /* Copyright (c) The Exim Maintainers 2020 - 2021 */
 /* See the file NOTICE for conditions of use and distribution. */
-/* SPDX-License-Identifier: GPL-2.0-only */
+/* SPDX-License-Identifier: GPL-2.0-or-later */
 
 #include "../exim.h"
 
diff --git a/src/src/auths/call_pwcheck.c b/src/src/auths/call_pwcheck.c
index 436b1a8de..88f708f62 100644
--- a/src/src/auths/call_pwcheck.c
+++ b/src/src/auths/call_pwcheck.c
@@ -5,7 +5,7 @@
 /* Copyright (c) University of Cambridge 1995 - 2015 */
 /* Copyright (c) The Exim Maintainers 2020 */
 /* See the file NOTICE for conditions of use and distribution. */
-/* SPDX-License-Identifier: GPL-2.0-only */
+/* SPDX-License-Identifier: GPL-2.0-or-later */
 
 /* This module contains interface functions to the two Cyrus authentication
 daemons. The original one was "pwcheck", which gives its name to the source
diff --git a/src/src/auths/call_radius.c b/src/src/auths/call_radius.c
index f4d7a9569..65882c108 100644
--- a/src/src/auths/call_radius.c
+++ b/src/src/auths/call_radius.c
@@ -5,7 +5,7 @@
 /* Copyright (c) The Exim Maintainers 2020 - 2022 */
 /* Copyright (c) University of Cambridge 1995 - 2016 */
 /* See the file NOTICE for conditions of use and distribution. */
-/* SPDX-License-Identifier: GPL-2.0-only */
+/* SPDX-License-Identifier: GPL-2.0-or-later */
 
 /* This file was originally supplied by Ian Kirk. The libradius support came
 from Alex Kiernan. */
diff --git a/src/src/auths/check_serv_cond.c b/src/src/auths/check_serv_cond.c
index 033d2026b..5201d2177 100644
--- a/src/src/auths/check_serv_cond.c
+++ b/src/src/auths/check_serv_cond.c
@@ -4,7 +4,7 @@
 
 /* Copyright (c) University of Cambridge 1995 - 2012 */
 /* See the file NOTICE for conditions of use and distribution. */
-/* SPDX-License-Identifier: GPL-2.0-only */
+/* SPDX-License-Identifier: GPL-2.0-or-later */
 
 #include "../exim.h"
 
diff --git a/src/src/auths/cram_md5.c b/src/src/auths/cram_md5.c
index 60128b83e..280b5293a 100644
--- a/src/src/auths/cram_md5.c
+++ b/src/src/auths/cram_md5.c
@@ -5,7 +5,7 @@
 /* Copyright (c) University of Cambridge 1995 - 2018 */
 /* Copyright (c) The Exim Maintainers 2020 */
 /* See the file NOTICE for conditions of use and distribution. */
-/* SPDX-License-Identifier: GPL-2.0-only */
+/* SPDX-License-Identifier: GPL-2.0-or-later */
 
 
 /* The stand-alone version just tests the algorithm. We have to drag
diff --git a/src/src/auths/cram_md5.h b/src/src/auths/cram_md5.h
index 25470a61b..984bc14c7 100644
--- a/src/src/auths/cram_md5.h
+++ b/src/src/auths/cram_md5.h
@@ -4,7 +4,7 @@
 
 /* Copyright (c) University of Cambridge 1995 - 2009 */
 /* See the file NOTICE for conditions of use and distribution. */
-/* SPDX-License-Identifier: GPL-2.0-only */
+/* SPDX-License-Identifier: GPL-2.0-or-later */
 
 /* Private structure for the private options. */
 
diff --git a/src/src/auths/cyrus_sasl.c b/src/src/auths/cyrus_sasl.c
index 4fe257ba7..b5d2d1d3b 100644
--- a/src/src/auths/cyrus_sasl.c
+++ b/src/src/auths/cyrus_sasl.c
@@ -5,7 +5,7 @@
 /* Copyright (c) The Exim Maintainers 2020 - 2022 */
 /* Copyright (c) University of Cambridge 1995 - 2018 */
 /* See the file NOTICE for conditions of use and distribution. */
-/* SPDX-License-Identifier: GPL-2.0-only */
+/* SPDX-License-Identifier: GPL-2.0-or-later */
 
 /* This code was originally contributed by Matthew Byng-Maddick */
 
diff --git a/src/src/auths/cyrus_sasl.h b/src/src/auths/cyrus_sasl.h
index 144ac5c80..05071b6e5 100644
--- a/src/src/auths/cyrus_sasl.h
+++ b/src/src/auths/cyrus_sasl.h
@@ -5,7 +5,7 @@
 /* Copyright (c) The Exim Maintainers 2022 */
 /* Copyright (c) University of Cambridge 1995 - 2012 */
 /* See the file NOTICE for conditions of use and distribution. */
-/* SPDX-License-Identifier: GPL-2.0-only */
+/* SPDX-License-Identifier: GPL-2.0-or-later */
 
 /* Copyright (c) A L Digital Ltd 2004 */
 
diff --git a/src/src/auths/dovecot.h b/src/src/auths/dovecot.h
index b5eaf4f16..74c451930 100644
--- a/src/src/auths/dovecot.h
+++ b/src/src/auths/dovecot.h
@@ -5,7 +5,7 @@
 /* Copyright (c) University of Cambridge 1995 - 2009 */
 /* Copyright (c) The Exim Maintainters 2020 */
 /* See the file NOTICE for conditions of use and distribution. */
-/* SPDX-License-Identifier: GPL-2.0-only */
+/* SPDX-License-Identifier: GPL-2.0-or-later */
 
 /* Private structure for the private options. */
 
diff --git a/src/src/auths/external.c b/src/src/auths/external.c
index 736c33982..078aad0fa 100644
--- a/src/src/auths/external.c
+++ b/src/src/auths/external.c
@@ -4,7 +4,7 @@
 
 /* Copyright (c) Jeremy Harris 2019-2020 */
 /* See the file NOTICE for conditions of use and distribution. */
-/* SPDX-License-Identifier: GPL-2.0-only */
+/* SPDX-License-Identifier: GPL-2.0-or-later */
 
 /* This file provides an Exim authenticator driver for
 a server to verify a client SSL certificate, using the EXTERNAL
diff --git a/src/src/auths/external.h b/src/src/auths/external.h
index 9abb46a6b..0a9b0b50e 100644
--- a/src/src/auths/external.h
+++ b/src/src/auths/external.h
@@ -4,7 +4,7 @@
 
 /* Copyright (c) Jeremy Harris 2019 */
 /* See the file NOTICE for conditions of use and distribution. */
-/* SPDX-License-Identifier: GPL-2.0-only */
+/* SPDX-License-Identifier: GPL-2.0-or-later */
 
 /* Private structure for the private options. */
 
diff --git a/src/src/auths/get_data.c b/src/src/auths/get_data.c
index 0c85d2651..caf4cfdb8 100644
--- a/src/src/auths/get_data.c
+++ b/src/src/auths/get_data.c
@@ -5,7 +5,7 @@
 /* Copyright (c) University of Cambridge 1995 - 2018 */
 /* Copyright (c) The Exim Maintainers 2020 - 2021 */
 /* See the file NOTICE for conditions of use and distribution. */
-/* SPDX-License-Identifier: GPL-2.0-only */
+/* SPDX-License-Identifier: GPL-2.0-or-later */
 
 #include "../exim.h"
 
diff --git a/src/src/auths/get_no64_data.c b/src/src/auths/get_no64_data.c
index 76f421473..e2cadfbc6 100644
--- a/src/src/auths/get_no64_data.c
+++ b/src/src/auths/get_no64_data.c
@@ -4,7 +4,7 @@
 
 /* Copyright (c) University of Cambridge 1995 - 2018 */
 /* See the file NOTICE for conditions of use and distribution. */
-/* SPDX-License-Identifier: GPL-2.0-only */
+/* SPDX-License-Identifier: GPL-2.0-or-later */
 
 #include "../exim.h"
 
diff --git a/src/src/auths/gsasl_exim.c b/src/src/auths/gsasl_exim.c
index aac9c84e6..2c39d0f21 100644
--- a/src/src/auths/gsasl_exim.c
+++ b/src/src/auths/gsasl_exim.c
@@ -5,7 +5,7 @@
 /* Copyright (c) The Exim Maintainers 2019 - 2022 */
 /* Copyright (c) University of Cambridge 1995 - 2018 */
 /* See the file NOTICE for conditions of use and distribution. */
-/* SPDX-License-Identifier: GPL-2.0-only */
+/* SPDX-License-Identifier: GPL-2.0-or-later */
 
 /* Copyright (c) Twitter Inc 2012
    Author: Phil Pennock <pdp@exim.org> */
diff --git a/src/src/auths/gsasl_exim.h b/src/src/auths/gsasl_exim.h
index 691d7d706..a56535710 100644
--- a/src/src/auths/gsasl_exim.h
+++ b/src/src/auths/gsasl_exim.h
@@ -5,7 +5,7 @@
 /* Copyright (c) The Exim Maintainers 2019 - 2022 */
 /* Copyright (c) University of Cambridge 1995 - 2012 */
 /* See the file NOTICE for conditions of use and distribution. */
-/* SPDX-License-Identifier: GPL-2.0-only */
+/* SPDX-License-Identifier: GPL-2.0-or-later */
 
 /* Copyright (c) Twitter Inc 2012 */
 
diff --git a/src/src/auths/heimdal_gssapi.c b/src/src/auths/heimdal_gssapi.c
index 12267e3fc..1336d0fab 100644
--- a/src/src/auths/heimdal_gssapi.c
+++ b/src/src/auths/heimdal_gssapi.c
@@ -5,7 +5,7 @@
 /* Copyright (c) The Exim Maintainers 2020 - 2022 */
 /* Copyright (c) University of Cambridge 1995 - 2018 */
 /* See the file NOTICE for conditions of use and distribution. */
-/* SPDX-License-Identifier: GPL-2.0-only */
+/* SPDX-License-Identifier: GPL-2.0-or-later */
 
 /* Copyright (c) Twitter Inc 2012
    Author: Phil Pennock <pdp@exim.org> */
diff --git a/src/src/auths/heimdal_gssapi.h b/src/src/auths/heimdal_gssapi.h
index 031b580ef..6c9b24298 100644
--- a/src/src/auths/heimdal_gssapi.h
+++ b/src/src/auths/heimdal_gssapi.h
@@ -5,7 +5,7 @@
 /* Copyright (c) The Exim Maintainers 2022 */
 /* Copyright (c) University of Cambridge 1995 - 2012 */
 /* See the file NOTICE for conditions of use and distribution. */
-/* SPDX-License-Identifier: GPL-2.0-only */
+/* SPDX-License-Identifier: GPL-2.0-or-later */
 
 /* Copyright (c) Twitter Inc 2012
    Author: Phil Pennock <pdp@exim.org> */
diff --git a/src/src/auths/plaintext.c b/src/src/auths/plaintext.c
index 61be5867e..6692a676e 100644
--- a/src/src/auths/plaintext.c
+++ b/src/src/auths/plaintext.c
@@ -5,7 +5,7 @@
 /* Copyright (c) University of Cambridge 1995 - 2018 */
 /* Copyright (c) The Exim Maintainers 2020 - 2021 */
 /* See the file NOTICE for conditions of use and distribution. */
-/* SPDX-License-Identifier: GPL-2.0-only */
+/* SPDX-License-Identifier: GPL-2.0-or-later */
 
 #include "../exim.h"
 #include "plaintext.h"
diff --git a/src/src/auths/plaintext.h b/src/src/auths/plaintext.h
index 49862ff9b..fdf0feb93 100644
--- a/src/src/auths/plaintext.h
+++ b/src/src/auths/plaintext.h
@@ -4,7 +4,7 @@
 
 /* Copyright (c) University of Cambridge 1995 - 2009 */
 /* See the file NOTICE for conditions of use and distribution. */
-/* SPDX-License-Identifier: GPL-2.0-only */
+/* SPDX-License-Identifier: GPL-2.0-or-later */
 
 /* Private structure for the private options. */
 
diff --git a/src/src/auths/pwcheck.c b/src/src/auths/pwcheck.c
index aff5ed39c..bf305832f 100644
--- a/src/src/auths/pwcheck.c
+++ b/src/src/auths/pwcheck.c
@@ -4,7 +4,7 @@
  * $Id: checkpw.c,v 1.49 2002/03/07 19:14:04 ken3 Exp $
  */
 /* Copyright (c) The Exim Maintainers 2021 - 2022 */
-/* SPDX-License-Identifier: GPL-2.0-only */
+/* SPDX-License-Identifier: GPL-2.0-or-later */
 /*
  * Copyright (c) 2001 Carnegie Mellon University.  All rights reserved.
  *
diff --git a/src/src/auths/pwcheck.h b/src/src/auths/pwcheck.h
index 4247b4e8b..4c1d71d92 100644
--- a/src/src/auths/pwcheck.h
+++ b/src/src/auths/pwcheck.h
@@ -4,7 +4,7 @@
 
 /* Copyright (c) University of Cambridge 1995 - 2009 */
 /* See the file NOTICE for conditions of use and distribution. */
-/* SPDX-License-Identifier: GPL-2.0-only */
+/* SPDX-License-Identifier: GPL-2.0-or-later */
 
 /* This file provides support for authentication via the Cyrus SASL pwcheck
 daemon (whence its name) and the newer saslauthd daemon. */
diff --git a/src/src/auths/spa.c b/src/src/auths/spa.c
index c5e6d83d5..222ccea86 100644
--- a/src/src/auths/spa.c
+++ b/src/src/auths/spa.c
@@ -5,7 +5,7 @@
 /* Copyright (c) University of Cambridge 1995 - 2018 */
 /* Copyright (c) The Exim Maintainers 2020 */
 /* See the file NOTICE for conditions of use and distribution. */
-/* SPDX-License-Identifier: GPL-2.0-only */
+/* SPDX-License-Identifier: GPL-2.0-or-later */
 
 /* This file, which provides support for Microsoft's Secure Password
 Authentication, was contributed by Marc Prud'hommeaux. Tom Kistner added SPA
diff --git a/src/src/auths/spa.h b/src/src/auths/spa.h
index 4321971d9..625a252d6 100644
--- a/src/src/auths/spa.h
+++ b/src/src/auths/spa.h
@@ -4,7 +4,7 @@
 
 /* Copyright (c) University of Cambridge 1995 - 2009 */
 /* See the file NOTICE for conditions of use and distribution. */
-/* SPDX-License-Identifier: GPL-2.0-only */
+/* SPDX-License-Identifier: GPL-2.0-or-later */
 
 /* This file, which provides support for Microsoft's Secure Password
 Authentication, was contributed by Marc Prud'hommeaux. */
diff --git a/src/src/auths/tls.c b/src/src/auths/tls.c
index d3ca8f796..72ad56c4e 100644
--- a/src/src/auths/tls.c
+++ b/src/src/auths/tls.c
@@ -4,7 +4,7 @@
 
 /* Copyright (c) Jeremy Harris 1995 - 2020 */
 /* See the file NOTICE for conditions of use and distribution. */
-/* SPDX-License-Identifier: GPL-2.0-only */
+/* SPDX-License-Identifier: GPL-2.0-or-later */
 
 /* This file provides an Exim authenticator driver for
 a server to verify a client SSL certificate
diff --git a/src/src/auths/tls.h b/src/src/auths/tls.h
index 24e116464..472a3e260 100644
--- a/src/src/auths/tls.h
+++ b/src/src/auths/tls.h
@@ -4,7 +4,7 @@
 
 /* Copyright (c) Jeremy Harris 2015 */
 /* See the file NOTICE for conditions of use and distribution. */
-/* SPDX-License-Identifier: GPL-2.0-only */
+/* SPDX-License-Identifier: GPL-2.0-or-later */
 
 /* Private structure for the private options. */
 
diff --git a/src/src/auths/xtextdecode.c b/src/src/auths/xtextdecode.c
index 39c1f2b60..b6a927194 100644
--- a/src/src/auths/xtextdecode.c
+++ b/src/src/auths/xtextdecode.c
@@ -5,7 +5,7 @@
 /* Copyright (c) The Exim Maintainers 2022 */
 /* Copyright (c) University of Cambridge 1995 - 2009 */
 /* See the file NOTICE for conditions of use and distribution. */
-/* SPDX-License-Identifier: GPL-2.0-only */
+/* SPDX-License-Identifier: GPL-2.0-or-later */
 
 #include "../exim.h"
 
diff --git a/src/src/auths/xtextencode.c b/src/src/auths/xtextencode.c
index 89f12f1f1..c08288831 100644
--- a/src/src/auths/xtextencode.c
+++ b/src/src/auths/xtextencode.c
@@ -5,7 +5,7 @@
 /* Copyright (c) The Exim Maintainers 2022 */
 /* Copyright (c) University of Cambridge 1995 - 2018 */
 /* See the file NOTICE for conditions of use and distribution. */
-/* SPDX-License-Identifier: GPL-2.0-only */
+/* SPDX-License-Identifier: GPL-2.0-or-later */
 
 #include "../exim.h"
 
diff --git a/src/src/base64.c b/src/src/base64.c
index 14e8cfffe..e9ac41a55 100644
--- a/src/src/base64.c
+++ b/src/src/base64.c
@@ -4,7 +4,7 @@
 
 /* Copyright (c) Tom Kistner <tom@duncanthrax.net> 2004, 2015 */
 /* License: GPL */
-/* SPDX-License-Identifier: GPL-2.0-only */
+/* SPDX-License-Identifier: GPL-2.0-or-later */
 
 /* Copyright (c) University of Cambridge 1995 - 2018 */
 /* Copyright (c) The Exim Maintainers 2020 - 2022 */
